<div class="square" (mousemove)="prepareToMove($event)" (mousedown)="startTransform($event, direction)"></div>
<div class="btnContainer">
  <a class="button" (click)="generate()">Сохранить</a>
  <a class="button" routerLink="video">Перейти к видео</a>
  <a class="button" routerLink="pages/page1">Страница 1</a>
  <a class="button" routerLink="pages/page2">Страница 2</a>
  <a class="button" routerLink="pipes">Pipes</a>
  <a class="button" routerLink="credit">Credit</a>
  <a class="button" routerLink="http">http</a>
</div>
<router-outlet></router-outlet>
